/// <reference types="babel__template" />
import type { Visitor } from '@babel/traverse';
import * as BabelTypes from '@babel/types';
import templateBuilder from '@babel/template';
interface PluginOptionsInterface {
    root?: string;
    hydrate?: boolean;
    app?: false | string;
}
interface State {
    opts: PluginOptionsInterface;
}
interface Babel {
    types: typeof BabelTypes;
    template: typeof templateBuilder;
}
export declare enum ComponentError {
    functionComponentOnly = "Only Function Component is supported",
    namedFunctionComponentOnly = "Anonymous Function Component is not supported",
    reservedFunctionName = "Reserved Component Name"
}
export default function (babel: Babel): {
    visitor: Visitor<State>;
};
export {};
